<HTML>
<HEAD><TITLE>Lattice TRACE Report</TITLE>
<STYLE TYPE="text/css">
<!--
 body,pre{    font-family:'Courier New', monospace;    color: #000000;    font-size:88%;    background-color: #ffffff;}h1 {    font-weight: bold;    margin-top: 24px;    margin-bottom: 10px;    border-bottom: 3px solid #000;    font-size: 1em;}h2 {    font-weight: bold;    margin-top: 18px;    margin-bottom: 5px;    font-size: 0.90em;}h3 {    font-weight: bold;    margin-top: 12px;    margin-bottom: 5px;    font-size: 0.80em;}p {    font-size:78%;}P.Table {    margin-top: 4px;    margin-bottom: 4px;    margin-right: 4px;    margin-left: 4px;}table{    border-width: 1px 1px 1px 1px;    border-style: solid solid solid solid;    border-color: black black black black;    border-collapse: collapse;}th {    font-weight:bold;    padding: 4px;    border-width: 1px 1px 1px 1px;    border-style: solid solid solid solid;    border-color: black black black black;    vertical-align:top;    text-align:left;    font-size:78%;}td {    padding: 4px;    border-width: 1px 1px 1px 1px;    border-style: solid solid solid solid;    border-color: black black black black;    vertical-align:top;    font-size:78%;}a {    color:#013C9A;    text-decoration:none;}a:visited {    color:#013C9A;}a:hover, a:active {    text-decoration:underline;    color:#5BAFD4;}.pass{background-color: #00ff00;}.fail{background-color: #ff0000;}.comment{    font-size: 90%;    font-style: italic;}
-->
</STYLE>
</HEAD>
<PRE><A name="Par_Twr"></A><B><U><big>Place & Route TRACE Report</big></U></B>

Loading design for application trce from file blink_led_diamond_impl1.ncd.
Design name: blink
NCD version: 3.3
Vendor:      LATTICE
Device:      LFE5U-25F
Package:     CABGA256
Performance: 6
Loading device for application trce from file 'sa5p25.nph' in environment: C:/lscc/diamond/3.11_x64/ispfpga.
Package Status:                     Final          Version 1.33.
Performance Hardware Data Status:   Final          Version 55.1.
Setup and Hold Report

--------------------------------------------------------------------------------
<A name="Par_Twr_setup"></A><B><U><big>Lattice TRACE Report - Setup, Version Diamond (64-bit) 3.11.0.396.4</big></U></B>
Sat Mar 19 10:39:08 2022

Copyright (c) 1991-1994 by NeoCAD Inc. All rights reserved.
Copyright (c) 1995 AT&T Corp.   All rights reserved.
Copyright (c) 1995-2001 Lucent Technologies Inc.  All rights reserved.
Copyright (c) 2001 Agere Systems   All rights reserved.
Copyright (c) 2002-2019 Lattice Semiconductor Corporation,  All rights reserved.

<A name="ptwr_set_ri"></A><B><U><big>Report Information</big></U></B>
------------------
Command line:    trce -v 10 -gt -sethld -sp 6 -sphld m -o blink_led_diamond_impl1.twr -gui blink_led_diamond_impl1.ncd blink_led_diamond_impl1.prf 
Design file:     blink_led_diamond_impl1.ncd
Preference file: blink_led_diamond_impl1.prf
Device,speed:    LFE5U-25F,6
Report level:    verbose report, limited to 10 items per preference
--------------------------------------------------------------------------------

<A name="ptwr_set_ps"></A><B><U><big>Preference Summary</big></U></B>

<LI><A href='#par_twr_pref_0_0' Target='right'>FREQUENCY PORT "clk" 25.000000 MHz (0 errors)</A></LI>            676 items scored, 0 timing errors detected.
Report:  196.657MHz is the maximum frequency for this preference.



================================================================================
<A name="par_twr_pref_0_0"></A>Preference: FREQUENCY PORT "clk" 25.000000 MHz ;
            676 items scored, 0 timing errors detected.
--------------------------------------------------------------------------------


Passed: The following path meets requirements by 34.915ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              counter_43__i8  (from clk_c +)
   Destination:    FF         Data in        counter_43__i4  (to clk_c +)
                   FF                        counter_43__i3

   Delay:               4.661ns  (26.4% logic, 73.6% route), 4 logic levels.

 Constraint Details:

      4.661ns physical path delay SLICE_8 to SLICE_10 meets
     40.000ns delay constraint less
      0.000ns skew and
      0.424ns LSR_SET requirement (totaling 39.576ns) by 34.915ns

 Physical Path Details:

      Data path SLICE_8 to SLICE_10:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.522    R14C43A.CLK to     R14C43A.Q1 SLICE_8 (from clk_c)
ROUTE         2     1.012     R14C43A.Q1 to     R15C44A.C0 counter_8
CTOF_DEL    ---     0.236     R15C44A.C0 to     R15C44A.F0 SLICE_16
ROUTE         1     0.747     R15C44A.F0 to     R15C44B.A1 n285
CTOF_DEL    ---     0.236     R15C44B.A1 to     R15C44B.F1 SLICE_14
ROUTE         1     0.999     R15C44B.F1 to     R14C45B.B1 n297
CTOF_DEL    ---     0.236     R14C45B.B1 to     R14C45B.F1 SLICE_13
ROUTE        14     0.673     R14C45B.F1 to    R14C42C.LSR n217 (to clk_c)
                  --------
                    4.661   (26.4% logic, 73.6% route), 4 logic levels.

 Clock Skew Details: 

      Source Clock Path clk to SLICE_8:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        14     2.225       P6.PADDI to    R14C43A.CLK clk_c
                  --------
                    2.225   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path clk to SLICE_10:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        14     2.225       P6.PADDI to    R14C42C.CLK clk_c
                  --------
                    2.225   (0.0% logic, 100.0% route), 0 logic levels.


Passed: The following path meets requirements by 34.915ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              counter_43__i8  (from clk_c +)
   Destination:    FF         Data in        counter_43__i2  (to clk_c +)
                   FF                        counter_43__i1

   Delay:               4.661ns  (26.4% logic, 73.6% route), 4 logic levels.

 Constraint Details:

      4.661ns physical path delay SLICE_8 to SLICE_11 meets
     40.000ns delay constraint less
      0.000ns skew and
      0.424ns LSR_SET requirement (totaling 39.576ns) by 34.915ns

 Physical Path Details:

      Data path SLICE_8 to SLICE_11:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.522    R14C43A.CLK to     R14C43A.Q1 SLICE_8 (from clk_c)
ROUTE         2     1.012     R14C43A.Q1 to     R15C44A.C0 counter_8
CTOF_DEL    ---     0.236     R15C44A.C0 to     R15C44A.F0 SLICE_16
ROUTE         1     0.747     R15C44A.F0 to     R15C44B.A1 n285
CTOF_DEL    ---     0.236     R15C44B.A1 to     R15C44B.F1 SLICE_14
ROUTE         1     0.999     R15C44B.F1 to     R14C45B.B1 n297
CTOF_DEL    ---     0.236     R14C45B.B1 to     R14C45B.F1 SLICE_13
ROUTE        14     0.673     R14C45B.F1 to    R14C42B.LSR n217 (to clk_c)
                  --------
                    4.661   (26.4% logic, 73.6% route), 4 logic levels.

 Clock Skew Details: 

      Source Clock Path clk to SLICE_8:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        14     2.225       P6.PADDI to    R14C43A.CLK clk_c
                  --------
                    2.225   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path clk to SLICE_11:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        14     2.225       P6.PADDI to    R14C42B.CLK clk_c
                  --------
                    2.225   (0.0% logic, 100.0% route), 0 logic levels.


Passed: The following path meets requirements by 34.915ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              counter_43__i8  (from clk_c +)
   Destination:    FF         Data in        counter_43__i0  (to clk_c +)

   Delay:               4.661ns  (26.4% logic, 73.6% route), 4 logic levels.

 Constraint Details:

      4.661ns physical path delay SLICE_8 to SLICE_12 meets
     40.000ns delay constraint less
      0.000ns skew and
      0.424ns LSR_SET requirement (totaling 39.576ns) by 34.915ns

 Physical Path Details:

      Data path SLICE_8 to SLICE_12:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.522    R14C43A.CLK to     R14C43A.Q1 SLICE_8 (from clk_c)
ROUTE         2     1.012     R14C43A.Q1 to     R15C44A.C0 counter_8
CTOF_DEL    ---     0.236     R15C44A.C0 to     R15C44A.F0 SLICE_16
ROUTE         1     0.747     R15C44A.F0 to     R15C44B.A1 n285
CTOF_DEL    ---     0.236     R15C44B.A1 to     R15C44B.F1 SLICE_14
ROUTE         1     0.999     R15C44B.F1 to     R14C45B.B1 n297
CTOF_DEL    ---     0.236     R14C45B.B1 to     R14C45B.F1 SLICE_13
ROUTE        14     0.673     R14C45B.F1 to    R14C42A.LSR n217 (to clk_c)
                  --------
                    4.661   (26.4% logic, 73.6% route), 4 logic levels.

 Clock Skew Details: 

      Source Clock Path clk to SLICE_8:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        14     2.225       P6.PADDI to    R14C43A.CLK clk_c
                  --------
                    2.225   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path clk to SLICE_12:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        14     2.225       P6.PADDI to    R14C42A.CLK clk_c
                  --------
                    2.225   (0.0% logic, 100.0% route), 0 logic levels.


Passed: The following path meets requirements by 34.915ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              counter_43__i8  (from clk_c +)
   Destination:    FF         Data in        counter_43__i6  (to clk_c +)
                   FF                        counter_43__i5

   Delay:               4.661ns  (26.4% logic, 73.6% route), 4 logic levels.

 Constraint Details:

      4.661ns physical path delay SLICE_8 to SLICE_9 meets
     40.000ns delay constraint less
      0.000ns skew and
      0.424ns LSR_SET requirement (totaling 39.576ns) by 34.915ns

 Physical Path Details:

      Data path SLICE_8 to SLICE_9:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.522    R14C43A.CLK to     R14C43A.Q1 SLICE_8 (from clk_c)
ROUTE         2     1.012     R14C43A.Q1 to     R15C44A.C0 counter_8
CTOF_DEL    ---     0.236     R15C44A.C0 to     R15C44A.F0 SLICE_16
ROUTE         1     0.747     R15C44A.F0 to     R15C44B.A1 n285
CTOF_DEL    ---     0.236     R15C44B.A1 to     R15C44B.F1 SLICE_14
ROUTE         1     0.999     R15C44B.F1 to     R14C45B.B1 n297
CTOF_DEL    ---     0.236     R14C45B.B1 to     R14C45B.F1 SLICE_13
ROUTE        14     0.673     R14C45B.F1 to    R14C42D.LSR n217 (to clk_c)
                  --------
                    4.661   (26.4% logic, 73.6% route), 4 logic levels.

 Clock Skew Details: 

      Source Clock Path clk to SLICE_8:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        14     2.225       P6.PADDI to    R14C43A.CLK clk_c
                  --------
                    2.225   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path clk to SLICE_9:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        14     2.225       P6.PADDI to    R14C42D.CLK clk_c
                  --------
                    2.225   (0.0% logic, 100.0% route), 0 logic levels.


Passed: The following path meets requirements by 34.922ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              counter_43__i10  (from clk_c +)
   Destination:    FF         Data in        counter_43__i4  (to clk_c +)
                   FF                        counter_43__i3

   Delay:               4.654ns  (26.4% logic, 73.6% route), 4 logic levels.

 Constraint Details:

      4.654ns physical path delay SLICE_7 to SLICE_10 meets
     40.000ns delay constraint less
      0.000ns skew and
      0.424ns LSR_SET requirement (totaling 39.576ns) by 34.922ns

 Physical Path Details:

      Data path SLICE_7 to SLICE_10:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.522    R14C43B.CLK to     R14C43B.Q1 SLICE_7 (from clk_c)
ROUTE         2     1.005     R14C43B.Q1 to     R15C44A.B0 counter_10
CTOF_DEL    ---     0.236     R15C44A.B0 to     R15C44A.F0 SLICE_16
ROUTE         1     0.747     R15C44A.F0 to     R15C44B.A1 n285
CTOF_DEL    ---     0.236     R15C44B.A1 to     R15C44B.F1 SLICE_14
ROUTE         1     0.999     R15C44B.F1 to     R14C45B.B1 n297
CTOF_DEL    ---     0.236     R14C45B.B1 to     R14C45B.F1 SLICE_13
ROUTE        14     0.673     R14C45B.F1 to    R14C42C.LSR n217 (to clk_c)
                  --------
                    4.654   (26.4% logic, 73.6% route), 4 logic levels.

 Clock Skew Details: 

      Source Clock Path clk to SLICE_7:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        14     2.225       P6.PADDI to    R14C43B.CLK clk_c
                  --------
                    2.225   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path clk to SLICE_10:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        14     2.225       P6.PADDI to    R14C42C.CLK clk_c
                  --------
                    2.225   (0.0% logic, 100.0% route), 0 logic levels.


Passed: The following path meets requirements by 34.922ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              counter_43__i10  (from clk_c +)
   Destination:    FF         Data in        counter_43__i2  (to clk_c +)
                   FF                        counter_43__i1

   Delay:               4.654ns  (26.4% logic, 73.6% route), 4 logic levels.

 Constraint Details:

      4.654ns physical path delay SLICE_7 to SLICE_11 meets
     40.000ns delay constraint less
      0.000ns skew and
      0.424ns LSR_SET requirement (totaling 39.576ns) by 34.922ns

 Physical Path Details:

      Data path SLICE_7 to SLICE_11:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.522    R14C43B.CLK to     R14C43B.Q1 SLICE_7 (from clk_c)
ROUTE         2     1.005     R14C43B.Q1 to     R15C44A.B0 counter_10
CTOF_DEL    ---     0.236     R15C44A.B0 to     R15C44A.F0 SLICE_16
ROUTE         1     0.747     R15C44A.F0 to     R15C44B.A1 n285
CTOF_DEL    ---     0.236     R15C44B.A1 to     R15C44B.F1 SLICE_14
ROUTE         1     0.999     R15C44B.F1 to     R14C45B.B1 n297
CTOF_DEL    ---     0.236     R14C45B.B1 to     R14C45B.F1 SLICE_13
ROUTE        14     0.673     R14C45B.F1 to    R14C42B.LSR n217 (to clk_c)
                  --------
                    4.654   (26.4% logic, 73.6% route), 4 logic levels.

 Clock Skew Details: 

      Source Clock Path clk to SLICE_7:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        14     2.225       P6.PADDI to    R14C43B.CLK clk_c
                  --------
                    2.225   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path clk to SLICE_11:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        14     2.225       P6.PADDI to    R14C42B.CLK clk_c
                  --------
                    2.225   (0.0% logic, 100.0% route), 0 logic levels.


Passed: The following path meets requirements by 34.922ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              counter_43__i10  (from clk_c +)
   Destination:    FF         Data in        counter_43__i0  (to clk_c +)

   Delay:               4.654ns  (26.4% logic, 73.6% route), 4 logic levels.

 Constraint Details:

      4.654ns physical path delay SLICE_7 to SLICE_12 meets
     40.000ns delay constraint less
      0.000ns skew and
      0.424ns LSR_SET requirement (totaling 39.576ns) by 34.922ns

 Physical Path Details:

      Data path SLICE_7 to SLICE_12:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.522    R14C43B.CLK to     R14C43B.Q1 SLICE_7 (from clk_c)
ROUTE         2     1.005     R14C43B.Q1 to     R15C44A.B0 counter_10
CTOF_DEL    ---     0.236     R15C44A.B0 to     R15C44A.F0 SLICE_16
ROUTE         1     0.747     R15C44A.F0 to     R15C44B.A1 n285
CTOF_DEL    ---     0.236     R15C44B.A1 to     R15C44B.F1 SLICE_14
ROUTE         1     0.999     R15C44B.F1 to     R14C45B.B1 n297
CTOF_DEL    ---     0.236     R14C45B.B1 to     R14C45B.F1 SLICE_13
ROUTE        14     0.673     R14C45B.F1 to    R14C42A.LSR n217 (to clk_c)
                  --------
                    4.654   (26.4% logic, 73.6% route), 4 logic levels.

 Clock Skew Details: 

      Source Clock Path clk to SLICE_7:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        14     2.225       P6.PADDI to    R14C43B.CLK clk_c
                  --------
                    2.225   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path clk to SLICE_12:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        14     2.225       P6.PADDI to    R14C42A.CLK clk_c
                  --------
                    2.225   (0.0% logic, 100.0% route), 0 logic levels.


Passed: The following path meets requirements by 34.922ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              counter_43__i10  (from clk_c +)
   Destination:    FF         Data in        counter_43__i6  (to clk_c +)
                   FF                        counter_43__i5

   Delay:               4.654ns  (26.4% logic, 73.6% route), 4 logic levels.

 Constraint Details:

      4.654ns physical path delay SLICE_7 to SLICE_9 meets
     40.000ns delay constraint less
      0.000ns skew and
      0.424ns LSR_SET requirement (totaling 39.576ns) by 34.922ns

 Physical Path Details:

      Data path SLICE_7 to SLICE_9:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.522    R14C43B.CLK to     R14C43B.Q1 SLICE_7 (from clk_c)
ROUTE         2     1.005     R14C43B.Q1 to     R15C44A.B0 counter_10
CTOF_DEL    ---     0.236     R15C44A.B0 to     R15C44A.F0 SLICE_16
ROUTE         1     0.747     R15C44A.F0 to     R15C44B.A1 n285
CTOF_DEL    ---     0.236     R15C44B.A1 to     R15C44B.F1 SLICE_14
ROUTE         1     0.999     R15C44B.F1 to     R14C45B.B1 n297
CTOF_DEL    ---     0.236     R14C45B.B1 to     R14C45B.F1 SLICE_13
ROUTE        14     0.673     R14C45B.F1 to    R14C42D.LSR n217 (to clk_c)
                  --------
                    4.654   (26.4% logic, 73.6% route), 4 logic levels.

 Clock Skew Details: 

      Source Clock Path clk to SLICE_7:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        14     2.225       P6.PADDI to    R14C43B.CLK clk_c
                  --------
                    2.225   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path clk to SLICE_9:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        14     2.225       P6.PADDI to    R14C42D.CLK clk_c
                  --------
                    2.225   (0.0% logic, 100.0% route), 0 logic levels.


Passed: The following path meets requirements by 35.103ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              counter_43__i6  (from clk_c +)
   Destination:    FF         Data in        counter_43__i4  (to clk_c +)
                   FF                        counter_43__i3

   Delay:               4.473ns  (27.5% logic, 72.5% route), 4 logic levels.

 Constraint Details:

      4.473ns physical path delay SLICE_9 to SLICE_10 meets
     40.000ns delay constraint less
      0.000ns skew and
      0.424ns LSR_SET requirement (totaling 39.576ns) by 35.103ns

 Physical Path Details:

      Data path SLICE_9 to SLICE_10:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.522    R14C42D.CLK to     R14C42D.Q1 SLICE_9 (from clk_c)
ROUTE         2     1.013     R14C42D.Q1 to     R15C44A.A1 counter_6
CTOF_DEL    ---     0.236     R15C44A.A1 to     R15C44A.F1 SLICE_16
ROUTE         1     0.558     R15C44A.F1 to     R15C44B.B1 n281
CTOF_DEL    ---     0.236     R15C44B.B1 to     R15C44B.F1 SLICE_14
ROUTE         1     0.999     R15C44B.F1 to     R14C45B.B1 n297
CTOF_DEL    ---     0.236     R14C45B.B1 to     R14C45B.F1 SLICE_13
ROUTE        14     0.673     R14C45B.F1 to    R14C42C.LSR n217 (to clk_c)
                  --------
                    4.473   (27.5% logic, 72.5% route), 4 logic levels.

 Clock Skew Details: 

      Source Clock Path clk to SLICE_9:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        14     2.225       P6.PADDI to    R14C42D.CLK clk_c
                  --------
                    2.225   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path clk to SLICE_10:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        14     2.225       P6.PADDI to    R14C42C.CLK clk_c
                  --------
                    2.225   (0.0% logic, 100.0% route), 0 logic levels.


Passed: The following path meets requirements by 35.103ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              counter_43__i6  (from clk_c +)
   Destination:    FF         Data in        counter_43__i2  (to clk_c +)
                   FF                        counter_43__i1

   Delay:               4.473ns  (27.5% logic, 72.5% route), 4 logic levels.

 Constraint Details:

      4.473ns physical path delay SLICE_9 to SLICE_11 meets
     40.000ns delay constraint less
      0.000ns skew and
      0.424ns LSR_SET requirement (totaling 39.576ns) by 35.103ns

 Physical Path Details:

      Data path SLICE_9 to SLICE_11:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.522    R14C42D.CLK to     R14C42D.Q1 SLICE_9 (from clk_c)
ROUTE         2     1.013     R14C42D.Q1 to     R15C44A.A1 counter_6
CTOF_DEL    ---     0.236     R15C44A.A1 to     R15C44A.F1 SLICE_16
ROUTE         1     0.558     R15C44A.F1 to     R15C44B.B1 n281
CTOF_DEL    ---     0.236     R15C44B.B1 to     R15C44B.F1 SLICE_14
ROUTE         1     0.999     R15C44B.F1 to     R14C45B.B1 n297
CTOF_DEL    ---     0.236     R14C45B.B1 to     R14C45B.F1 SLICE_13
ROUTE        14     0.673     R14C45B.F1 to    R14C42B.LSR n217 (to clk_c)
                  --------
                    4.473   (27.5% logic, 72.5% route), 4 logic levels.

 Clock Skew Details: 

      Source Clock Path clk to SLICE_9:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        14     2.225       P6.PADDI to    R14C42D.CLK clk_c
                  --------
                    2.225   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path clk to SLICE_11:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        14     2.225       P6.PADDI to    R14C42B.CLK clk_c
                  --------
                    2.225   (0.0% logic, 100.0% route), 0 logic levels.

Report:  196.657MHz is the maximum frequency for this preference.

<A name="ptwr_set_rs"></A><B><U><big>Report Summary</big></U></B>
--------------
----------------------------------------------------------------------------
Preference                              |   Constraint|       Actual|Levels
----------------------------------------------------------------------------
                                        |             |             |
FREQUENCY PORT "clk" 25.000000 MHz ;    |   25.000 MHz|  196.657 MHz|   4  
                                        |             |             |
----------------------------------------------------------------------------


All preferences were met.


<A name="ptwr_set_clkda"></A><B><U><big>Clock Domains Analysis</big></U></B>
------------------------

Found 1 clocks:

Clock Domain: clk_c   Source: clk.PAD   Loads: 14
   Covered under: FREQUENCY PORT "clk" 25.000000 MHz ;


<A name="ptwr_set_ts"></A><B><U><big>Timing summary (Setup):</big></U></B>
---------------

Timing errors: 0  Score: 0
Cumulative negative slack: 0

Constraints cover 676 paths, 1 nets, and 126 connections (99.21% coverage)

--------------------------------------------------------------------------------
<A name="Par_Twr_hold"></A><B><U><big>Lattice TRACE Report - Hold, Version Diamond (64-bit) 3.11.0.396.4</big></U></B>
Sat Mar 19 10:39:08 2022

Copyright (c) 1991-1994 by NeoCAD Inc. All rights reserved.
Copyright (c) 1995 AT&T Corp.   All rights reserved.
Copyright (c) 1995-2001 Lucent Technologies Inc.  All rights reserved.
Copyright (c) 2001 Agere Systems   All rights reserved.
Copyright (c) 2002-2019 Lattice Semiconductor Corporation,  All rights reserved.

<A name="ptwr_hold_ri"></A><B><U><big>Report Information</big></U></B>
------------------
Command line:    trce -v 10 -gt -sethld -sp 6 -sphld m -o blink_led_diamond_impl1.twr -gui blink_led_diamond_impl1.ncd blink_led_diamond_impl1.prf 
Design file:     blink_led_diamond_impl1.ncd
Preference file: blink_led_diamond_impl1.prf
Device,speed:    LFE5U-25F,m
Report level:    verbose report, limited to 10 items per preference
--------------------------------------------------------------------------------

<A name="ptwr_hold_ps"></A><B><U><big>Preference Summary</big></U></B>

<LI><A href='#par_twr_pref_1_0' Target='right'>FREQUENCY PORT "clk" 25.000000 MHz (0 errors)</A></LI>            676 items scored, 0 timing errors detected.



================================================================================
<A name="par_twr_pref_1_0"></A>Preference: FREQUENCY PORT "clk" 25.000000 MHz ;
            676 items scored, 0 timing errors detected.
--------------------------------------------------------------------------------


Passed: The following path meets requirements by 0.178ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              led_11  (from clk_c +)
   Destination:    FF         Data in        led_11  (to clk_c +)

   Delay:               0.297ns  (80.8% logic, 19.2% route), 2 logic levels.

 Constraint Details:

      0.297ns physical path delay SLICE_13 to SLICE_13 meets
      0.119ns DIN_HLD and
      0.000ns delay constraint less
      0.000ns skew requirement (totaling 0.119ns) by 0.178ns

 Physical Path Details:

      Data path SLICE_13 to SLICE_13:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.164    R14C45B.CLK to     R14C45B.Q0 SLICE_13 (from clk_c)
ROUTE         2     0.057     R14C45B.Q0 to     R14C45B.D0 led_c
CTOF_DEL    ---     0.076     R14C45B.D0 to     R14C45B.F0 SLICE_13
ROUTE         1     0.000     R14C45B.F0 to    R14C45B.DI0 n215 (to clk_c)
                  --------
                    0.297   (80.8% logic, 19.2% route), 2 logic levels.

 Clock Skew Details: 

      Source Clock Path clk to SLICE_13:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        14     0.672       P6.PADDI to    R14C45B.CLK clk_c
                  --------
                    0.672   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path clk to SLICE_13:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        14     0.672       P6.PADDI to    R14C45B.CLK clk_c
                  --------
                    0.672   (0.0% logic, 100.0% route), 0 logic levels.


Passed: The following path meets requirements by 0.276ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              counter_43__i22  (from clk_c +)
   Destination:    FF         Data in        counter_43__i22  (to clk_c +)

   Delay:               0.395ns  (60.5% logic, 39.5% route), 2 logic levels.

 Constraint Details:

      0.395ns physical path delay SLICE_1 to SLICE_1 meets
      0.119ns DIN_HLD and
      0.000ns delay constraint less
      0.000ns skew requirement (totaling 0.119ns) by 0.276ns

 Physical Path Details:

      Data path SLICE_1 to SLICE_1:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.163    R14C44D.CLK to     R14C44D.Q1 SLICE_1 (from clk_c)
ROUTE         2     0.156     R14C44D.Q1 to     R14C44D.A1 counter_22
CTOF_DEL    ---     0.076     R14C44D.A1 to     R14C44D.F1 SLICE_1
ROUTE         1     0.000     R14C44D.F1 to    R14C44D.DI1 n108 (to clk_c)
                  --------
                    0.395   (60.5% logic, 39.5% route), 2 logic levels.

 Clock Skew Details: 

      Source Clock Path clk to SLICE_1:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        14     0.672       P6.PADDI to    R14C44D.CLK clk_c
                  --------
                    0.672   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path clk to SLICE_1:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        14     0.672       P6.PADDI to    R14C44D.CLK clk_c
                  --------
                    0.672   (0.0% logic, 100.0% route), 0 logic levels.


Passed: The following path meets requirements by 0.276ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              counter_43__i4  (from clk_c +)
   Destination:    FF         Data in        counter_43__i4  (to clk_c +)

   Delay:               0.395ns  (60.5% logic, 39.5% route), 2 logic levels.

 Constraint Details:

      0.395ns physical path delay SLICE_10 to SLICE_10 meets
      0.119ns DIN_HLD and
      0.000ns delay constraint less
      0.000ns skew requirement (totaling 0.119ns) by 0.276ns

 Physical Path Details:

      Data path SLICE_10 to SLICE_10:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.163    R14C42C.CLK to     R14C42C.Q1 SLICE_10 (from clk_c)
ROUTE         2     0.156     R14C42C.Q1 to     R14C42C.A1 counter_4
CTOF_DEL    ---     0.076     R14C42C.A1 to     R14C42C.F1 SLICE_10
ROUTE         1     0.000     R14C42C.F1 to    R14C42C.DI1 n126 (to clk_c)
                  --------
                    0.395   (60.5% logic, 39.5% route), 2 logic levels.

 Clock Skew Details: 

      Source Clock Path clk to SLICE_10:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        14     0.672       P6.PADDI to    R14C42C.CLK clk_c
                  --------
                    0.672   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path clk to SLICE_10:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        14     0.672       P6.PADDI to    R14C42C.CLK clk_c
                  --------
                    0.672   (0.0% logic, 100.0% route), 0 logic levels.


Passed: The following path meets requirements by 0.276ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              counter_43__i20  (from clk_c +)
   Destination:    FF         Data in        counter_43__i20  (to clk_c +)

   Delay:               0.395ns  (60.5% logic, 39.5% route), 2 logic levels.

 Constraint Details:

      0.395ns physical path delay SLICE_2 to SLICE_2 meets
      0.119ns DIN_HLD and
      0.000ns delay constraint less
      0.000ns skew requirement (totaling 0.119ns) by 0.276ns

 Physical Path Details:

      Data path SLICE_2 to SLICE_2:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.163    R14C44C.CLK to     R14C44C.Q1 SLICE_2 (from clk_c)
ROUTE         2     0.156     R14C44C.Q1 to     R14C44C.A1 counter_20
CTOF_DEL    ---     0.076     R14C44C.A1 to     R14C44C.F1 SLICE_2
ROUTE         1     0.000     R14C44C.F1 to    R14C44C.DI1 n110 (to clk_c)
                  --------
                    0.395   (60.5% logic, 39.5% route), 2 logic levels.

 Clock Skew Details: 

      Source Clock Path clk to SLICE_2:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        14     0.672       P6.PADDI to    R14C44C.CLK clk_c
                  --------
                    0.672   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path clk to SLICE_2:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        14     0.672       P6.PADDI to    R14C44C.CLK clk_c
                  --------
                    0.672   (0.0% logic, 100.0% route), 0 logic levels.


Passed: The following path meets requirements by 0.276ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              counter_43__i14  (from clk_c +)
   Destination:    FF         Data in        counter_43__i14  (to clk_c +)

   Delay:               0.395ns  (60.5% logic, 39.5% route), 2 logic levels.

 Constraint Details:

      0.395ns physical path delay SLICE_5 to SLICE_5 meets
      0.119ns DIN_HLD and
      0.000ns delay constraint less
      0.000ns skew requirement (totaling 0.119ns) by 0.276ns

 Physical Path Details:

      Data path SLICE_5 to SLICE_5:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.163    R14C43D.CLK to     R14C43D.Q1 SLICE_5 (from clk_c)
ROUTE         2     0.156     R14C43D.Q1 to     R14C43D.A1 counter_14
CTOF_DEL    ---     0.076     R14C43D.A1 to     R14C43D.F1 SLICE_5
ROUTE         1     0.000     R14C43D.F1 to    R14C43D.DI1 n116 (to clk_c)
                  --------
                    0.395   (60.5% logic, 39.5% route), 2 logic levels.

 Clock Skew Details: 

      Source Clock Path clk to SLICE_5:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        14     0.672       P6.PADDI to    R14C43D.CLK clk_c
                  --------
                    0.672   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path clk to SLICE_5:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        14     0.672       P6.PADDI to    R14C43D.CLK clk_c
                  --------
                    0.672   (0.0% logic, 100.0% route), 0 logic levels.


Passed: The following path meets requirements by 0.276ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              counter_43__i12  (from clk_c +)
   Destination:    FF         Data in        counter_43__i12  (to clk_c +)

   Delay:               0.395ns  (60.5% logic, 39.5% route), 2 logic levels.

 Constraint Details:

      0.395ns physical path delay SLICE_6 to SLICE_6 meets
      0.119ns DIN_HLD and
      0.000ns delay constraint less
      0.000ns skew requirement (totaling 0.119ns) by 0.276ns

 Physical Path Details:

      Data path SLICE_6 to SLICE_6:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.163    R14C43C.CLK to     R14C43C.Q1 SLICE_6 (from clk_c)
ROUTE         2     0.156     R14C43C.Q1 to     R14C43C.A1 counter_12
CTOF_DEL    ---     0.076     R14C43C.A1 to     R14C43C.F1 SLICE_6
ROUTE         1     0.000     R14C43C.F1 to    R14C43C.DI1 n118 (to clk_c)
                  --------
                    0.395   (60.5% logic, 39.5% route), 2 logic levels.

 Clock Skew Details: 

      Source Clock Path clk to SLICE_6:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        14     0.672       P6.PADDI to    R14C43C.CLK clk_c
                  --------
                    0.672   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path clk to SLICE_6:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        14     0.672       P6.PADDI to    R14C43C.CLK clk_c
                  --------
                    0.672   (0.0% logic, 100.0% route), 0 logic levels.


Passed: The following path meets requirements by 0.276ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              counter_43__i6  (from clk_c +)
   Destination:    FF         Data in        counter_43__i6  (to clk_c +)

   Delay:               0.395ns  (60.5% logic, 39.5% route), 2 logic levels.

 Constraint Details:

      0.395ns physical path delay SLICE_9 to SLICE_9 meets
      0.119ns DIN_HLD and
      0.000ns delay constraint less
      0.000ns skew requirement (totaling 0.119ns) by 0.276ns

 Physical Path Details:

      Data path SLICE_9 to SLICE_9:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.163    R14C42D.CLK to     R14C42D.Q1 SLICE_9 (from clk_c)
ROUTE         2     0.156     R14C42D.Q1 to     R14C42D.A1 counter_6
CTOF_DEL    ---     0.076     R14C42D.A1 to     R14C42D.F1 SLICE_9
ROUTE         1     0.000     R14C42D.F1 to    R14C42D.DI1 n124 (to clk_c)
                  --------
                    0.395   (60.5% logic, 39.5% route), 2 logic levels.

 Clock Skew Details: 

      Source Clock Path clk to SLICE_9:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        14     0.672       P6.PADDI to    R14C42D.CLK clk_c
                  --------
                    0.672   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path clk to SLICE_9:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        14     0.672       P6.PADDI to    R14C42D.CLK clk_c
                  --------
                    0.672   (0.0% logic, 100.0% route), 0 logic levels.


Passed: The following path meets requirements by 0.282ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              counter_43__i24  (from clk_c +)
   Destination:    FF         Data in        counter_43__i24  (to clk_c +)

   Delay:               0.401ns  (59.6% logic, 40.4% route), 2 logic levels.

 Constraint Details:

      0.401ns physical path delay SLICE_0 to SLICE_0 meets
      0.119ns DIN_HLD and
      0.000ns delay constraint less
      0.000ns skew requirement (totaling 0.119ns) by 0.282ns

 Physical Path Details:

      Data path SLICE_0 to SLICE_0:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.163    R14C45A.CLK to     R14C45A.Q1 SLICE_0 (from clk_c)
ROUTE         2     0.162     R14C45A.Q1 to     R14C45A.B1 counter_24
CTOF_DEL    ---     0.076     R14C45A.B1 to     R14C45A.F1 SLICE_0
ROUTE         1     0.000     R14C45A.F1 to    R14C45A.DI1 n106 (to clk_c)
                  --------
                    0.401   (59.6% logic, 40.4% route), 2 logic levels.

 Clock Skew Details: 

      Source Clock Path clk to SLICE_0:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        14     0.672       P6.PADDI to    R14C45A.CLK clk_c
                  --------
                    0.672   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path clk to SLICE_0:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        14     0.672       P6.PADDI to    R14C45A.CLK clk_c
                  --------
                    0.672   (0.0% logic, 100.0% route), 0 logic levels.


Passed: The following path meets requirements by 0.282ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              counter_43__i2  (from clk_c +)
   Destination:    FF         Data in        counter_43__i2  (to clk_c +)

   Delay:               0.401ns  (59.6% logic, 40.4% route), 2 logic levels.

 Constraint Details:

      0.401ns physical path delay SLICE_11 to SLICE_11 meets
      0.119ns DIN_HLD and
      0.000ns delay constraint less
      0.000ns skew requirement (totaling 0.119ns) by 0.282ns

 Physical Path Details:

      Data path SLICE_11 to SLICE_11:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.163    R14C42B.CLK to     R14C42B.Q1 SLICE_11 (from clk_c)
ROUTE         2     0.162     R14C42B.Q1 to     R14C42B.B1 counter_2
CTOF_DEL    ---     0.076     R14C42B.B1 to     R14C42B.F1 SLICE_11
ROUTE         1     0.000     R14C42B.F1 to    R14C42B.DI1 n128 (to clk_c)
                  --------
                    0.401   (59.6% logic, 40.4% route), 2 logic levels.

 Clock Skew Details: 

      Source Clock Path clk to SLICE_11:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        14     0.672       P6.PADDI to    R14C42B.CLK clk_c
                  --------
                    0.672   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path clk to SLICE_11:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        14     0.672       P6.PADDI to    R14C42B.CLK clk_c
                  --------
                    0.672   (0.0% logic, 100.0% route), 0 logic levels.


Passed: The following path meets requirements by 0.282ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              counter_43__i0  (from clk_c +)
   Destination:    FF         Data in        counter_43__i0  (to clk_c +)

   Delay:               0.401ns  (59.6% logic, 40.4% route), 2 logic levels.

 Constraint Details:

      0.401ns physical path delay SLICE_12 to SLICE_12 meets
      0.119ns DIN_HLD and
      0.000ns delay constraint less
      0.000ns skew requirement (totaling 0.119ns) by 0.282ns

 Physical Path Details:

      Data path SLICE_12 to SLICE_12:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.163    R14C42A.CLK to     R14C42A.Q1 SLICE_12 (from clk_c)
ROUTE         2     0.162     R14C42A.Q1 to     R14C42A.B1 counter_0
CTOF_DEL    ---     0.076     R14C42A.B1 to     R14C42A.F1 SLICE_12
ROUTE         1     0.000     R14C42A.F1 to    R14C42A.DI1 n130 (to clk_c)
                  --------
                    0.401   (59.6% logic, 40.4% route), 2 logic levels.

 Clock Skew Details: 

      Source Clock Path clk to SLICE_12:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        14     0.672       P6.PADDI to    R14C42A.CLK clk_c
                  --------
                    0.672   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path clk to SLICE_12:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        14     0.672       P6.PADDI to    R14C42A.CLK clk_c
                  --------
                    0.672   (0.0% logic, 100.0% route), 0 logic levels.

<A name="ptwr_hold_rs"></A><B><U><big>Report Summary</big></U></B>
--------------
----------------------------------------------------------------------------
Preference(MIN Delays)                  |   Constraint|       Actual|Levels
----------------------------------------------------------------------------
                                        |             |             |
FREQUENCY PORT "clk" 25.000000 MHz ;    |            -|            -|   2  
                                        |             |             |
----------------------------------------------------------------------------


All preferences were met.


<A name="ptwr_hold_clkda"></A><B><U><big>Clock Domains Analysis</big></U></B>
------------------------

Found 1 clocks:

Clock Domain: clk_c   Source: clk.PAD   Loads: 14
   Covered under: FREQUENCY PORT "clk" 25.000000 MHz ;


<A name="ptwr_hold_ts"></A><B><U><big>Timing summary (Hold):</big></U></B>
---------------

Timing errors: 0  Score: 0
Cumulative negative slack: 0

Constraints cover 676 paths, 1 nets, and 126 connections (99.21% coverage)



<A name="ptwr_ts"></A><B><U><big>Timing summary (Setup and Hold):</big></U></B>
---------------

Timing errors: 0 (setup), 0 (hold)
Score: 0 (setup), 0 (hold)
Cumulative negative slack: 0 (0+0)
--------------------------------------------------------------------------------

--------------------------------------------------------------------------------




<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
</PRE></FONT>
</BODY>
</HTML>
